<!DOCTYPE html>
<html  lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="./css/style.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600;800&display=swap" rel="stylesheet">
    <style>
        /* *{
            border:1px solid red;
        } */
    </style>
</head>
    <title>Belajar Tailwind Css</title>
</head>
<body class="dark:bg-slate-800 dark:text-slate-200">
 <h1 class="text-6xl text-center font-bold my-10 ">Mari Belajar Tailwind Css </h1>
 <section class="mb-10 bg-gradient-to-br via-red-400 from-indigo-400 to-yellow-400">
    <h2 class="text-3xl text-center ">Spacing</h2>
    <div class="m-4 bg-red-400">Margin</div>
    <div class="py-4 bg-yellow-400">padding</div>
 </section>
 <section class="mb-40 bg-green-400 py-10 ">
    <h2 class="text-center text-3xl">Sizing</h2>
    <div class="w-16">kotak 1</div>
 </section>
 <section class="mb-10 font-inter">
    <h2 class="mb-4 text-3xl">Belajar Mengenai typograpy pada tailwinds css</h2>
    <div class="mb-4 text-lg">By Muhammad Abdulloh Hamzan 3 september 2022</div>
    <p class="mb-4">Lorem, ipsum dolor sit amet <a class="underline font-semibold hover:text-red-600">consectetur</a>  adipisicing elit. Aliquam, neque tenetur optio voluptas consequuntur dolorum? Cum facilis blanditiis odit, sint reprehenderit voluptas quisquam dolores ducimus. Totam nulla dignissimos mollitia, magni culpa nemo ut voluptate possimus corrupti unde quisquam blanditiis repudiandae, itaque commodi tempora, voluptas cupiditate! Ratione, cum quo. Obcaecati, eveniet!</p>
    <blockquote class="mb-4 italic text-black-10">
        "Lorem ipsum dolor sit amet consectetur adipisicing elit. Sed, dolorem odio vitae eum praesentium dolorum laboriosam officiis odit veritatis pariatur!"

    </blockquote>
    <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Sint reiciendis vitae illum vero voluptate odit similique ratione nam eaque accusantium.</p>

</section>
<div class="bg-fixed  overflow-y-scroll max-w-3xl h-96 bg-[#bada55] mx-auto mt-[42px]" style="background-image: url('https://images.unsplash.com/photo-1544731612-de7f96afe55f?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=870&q=80')">
<p class="p-5 text-xl">Lorem ipsum dolor sit amet consectetur adipisicing elit. Necessitatibus, expedita mollitia. Odit fugit dolor nostrum hic delectus corrupti vel autem ex deleniti tempore ipsam, ipsum vitae eligendi inventore! Voluptatibus, tenetur iure! Soluta unde, fuga nulla suscipit odit iusto distinctio excepturi nemo vel. Consequuntur labore quibusdam veritatis rerum magni. Suscipit debitis nihil quae earum voluptatibus dolorem neque? Provident, voluptatem incidunt. Eaque quidem quo sint adipisci perspiciatis enim est, suscipit vero sequi eum earum reiciendis nostrum accusamus veritatis error id corporis necessitatibus. Corporis suscipit cumque amet autem doloribus ipsa est omnis voluptates, delectus praesentium inventore facere, reprehenderit at itaque labore ab ipsam, porro repellendus quia eum dolorum placeat. Obcaecati, voluptatem eius sint ea explicabo tenetur vitae odio, hic ipsam magni officia animi voluptas inventore? Sunt molestias ad natus soluta corporis ducimus at ipsam debitis, porro asperiores adipisci ullam numquam a doloremque dolor rerum quod, quas consequuntur earum assumenda praesentium optio. Saepe provident, odit molestias quo cumque suscipit consequatur reprehenderit eum. A ad itaque quasi! Inventore dolorem excepturi tempore dignissimos suscipit, dolorum vero animi laudantium totam ea, reprehenderit autem. Dolorum harum commodi repudiandae, maxime architecto odit sint minima ex. Porro aperiam laudantium sed maxime, officiis unde sunt veritatis eveniet quisquam autem ad voluptatem.</p>

</div>
<div class=" rounded border-4 overflow-hidden  shadow-xl shadow-stone-500 bg-cover mt-32 max-w-xl mx-auto h-96 bg-stone-400 " style="background-image: url('https://images.unsplash.com/photo-1516542076529-1ea3854896f2?ixlib=rb-1.2.1&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=871&q=80')">

    <div class="w-full h-full flex flex-row align-middle bg-blue-300 justify-center mix-blend-multiply">

        <div class="w-[100px] h-[100px] bg-white m-auto backdrop-blur-sm">

        </div>

    </div>
</div>

<hr class="my-20"/>
<div class="flex flex-row justify-center align-middle">
    <span class="text-sm text-slate-500 mr-2">Light</span>
    <input type="checkbox" id="togle" class="hidden"/>
    <label for="togle" >
        <div class="w-9 h-5 bg-slate-500 rounded-full flex flex-row items-center p-1 cursor-pointer">
            <div class="w-4 h-4 rounded-full bg-white">

            </div>

        </div>
    </label>
    <span class="text-sm text-slate-500 ml-2">Dark</span>
</div>
<button class="my-10 bg-sky-500 px-5 py-2 rounded-full text-white font-inter font-semibold mx-auto block hover:bg-sky-700 active:bg-sky-800 focus:ring focus:ring-sky-300 dark:hover:bg-red-400" >Simpan</button>

<div class="max-w-lg my-10 mx-auto border border-slate-300 rounded-xl p-5 shadow-md font-inter hover:bg-sky-600 group">
    <h5 class="font-bold text-lg mb-3 text-slate-700 group-hover:text-white">My Card</h5>
    <p class="text-slate-400 group-hover:text-white selection:text-slate-500">Lorem ipsum dolor sit amet consectetur adipisicing elit. Laboriosam, enim repellat! Suscipit expedita laudantium pariatur repellendus sequi dolore dolores ea. Ipsa sint ducimus voluptatibus eius vitae necessitatibus! Molestiae, iusto facilis neque error dicta suscipit. Exercitationem nisi debitis non sequi vel consectetur ducimus quia dolorum, accusamus minus explicabo asperiores aperiam eos, ea consequuntur inventore officia? Cupiditate corporis eveniet iste aliquam facilis inventore fugiat possimus dolor commodi pariatur error tenetur, quidem consectetur necessitatibus numquam, sequi praesentium nobis ducimus, doloremque aspernatur sapiente? Animi ab numquam, quas recusandae, accusantium, officiis corrupti dolorum odit asperiores perspiciatis iste quis. Sint placeat, dolore ut corrupti velit magnam?</p>
</div>

<div class="my-20 max-w-lg border border-slate-200 shadow-md rounded-xl mx-auto p-5 font-inter">
    <form action="">
        <label for="email">
            <span class="mb-1 font-inter font-semibold text-slate-700 block after:content-['*'] after:text-pink-600 after:ml-2 ">Email</span>

            <input id="email" type="email" placeholder="masukan email..." class="px-3 py-2 border shadow-sm rounded w-full block text-sm focus:outline-none focus:ring-1 
            focus:ring-sky-700 
            invalid:text-pink-700 invalid:focus:ring-pink-600 invalid:border-pink-600 peer">
            <p class="text-pink-600 m-1 text-sm invisible peer-invalid:visible">Email tidak valid</p>

        </label>
        
    </form>

</div>
</div>

<hr class="my-20" />

<div class="w-40 h-40 bg-sky-500 rounded-lg mx-auto shadow-lg hover:scale-150 hover:rotate-45 hover:-translate-x-16 transition hover:bg-pink-600">

</div>

<div class="mt-10 w-40 h-40   mx-auto group">
    <div class="w-full h-full bg-sky-500 rounded-lg mx-auto group-hover:rotate-180 origin-top-left transition duration-1000">

    </div>

</div>

<div class="mt-10 w-40 h-40 mx-auto bg-pink-500 rounded-lg hover:animate-ping">

</div>

<hr class="my-20 border-4"/>
<div class="container px-8">
    <div class="border rounded-lg shadow-lg p-4 relative">
        <div class="h-10 w-10 bg-pink-400 rounded-full flex flex-row items-center justify-center absolute -top-5 -right-5">

            <span class="text-3xl  block text-red-600 cursor-pointer hover:text-blue-800">X</span>

        </div>
        <img class="float-left mr-3" src="./assets/img/computer.jpg" alt="computer" width="150px">
    <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Cumque beatae et sunt odit, provident ratione quae explicabo incidunt cum itaque repellat adipisci error eos facilis qui in delectus deserunt fugiat? Obcaecati rerum vitae est tempora deserunt consequatur odio numquam, ex nesciunt nisi officiis unde vero provident cum quisquam harum pariatur maiores ipsa blanditiis a repellat asperiores ut! Sit, corporis? Suscipit pariatur atque deserunt eum magnam sunt accusantium, officiis unde et ex maxime quia repudiandae quas mollitia? Architecto accusantium consequuntur a quas cumque, dignissimos voluptatem accusamus est recusandae maxime, quibusdam atque. Quas in iste temporibus dolorum dolores reiciendis quidem, praesentium minus excepturi, neque consectetur? Qui adipisci quis ipsa earum tenetur temporibus at, necessitatibus dolores eos vitae unde enim, fuga natus tempora provident nesciunt similique. Inventore eaque corrupti vitae debitis quisquam error, facilis, quasi sunt libero rem quam illum neque alias repellat eos enim sequi necessitatibus amet omnis cupiditate distinctio corporis architecto non aliquam. Eveniet velit error et sint. Culpa, odio nulla placeat voluptatum id, optio eius dignissimos libero et neque recusandae saepe quos minima nam tempore modi labore sed, eligendi quod dolore soluta delectus nisi repellendus voluptate! Tempora doloremque id esse veniam illum, eveniet deleniti quos? Exercitationem debitis quam quia cumque.</p>
</div>
</div>

<div class="mt-10 p-10 container mx-auto border shadow-lg rounded-lg columns-3">
    <img src="https://source.unsplash.com/600x400" alt="random1">
    <img src="https://source.unsplash.com/600x400" alt="random2">
    <img src="https://source.unsplash.com/600x400" alt="random3">
    <img src="https://source.unsplash.com/600x400" alt="random4">
    <img src="https://source.unsplash.com/600x400" alt="random5">
    <img src="https://source.unsplash.com/600x400" alt="random6">

</div>

<hr class="mt-24" />
<div class="container px-6 font-inter max-w-md mx-auto sm:bg-red-300 md:bg-green-200 lg:to-blue-200 xl:bg-yellow-200 sm:max-w-xl lg:flex lg:max-w-full">
    <div>
    <h3 class="text-4xl font-bold text-slate-400 mt-4">Muhammad <span class="text-sky-600">Abdulloh</span>Hamzan</h3>
    <img src="./assets/img/healing.jpg" alt="healin" class="mt-4 rounded-xl shadow-xl sm:mt-6 sm:h-64 sm:w-full sm:object-cover sm:object-top lg:hidden">
    <h2 class="mt-6 text-2xl font-semibold text-slate-800">Mari Belajar Programming Bersama Wpu</h2>
    <p class="mt-2 text-slate-600">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptatem ex quibusdam sequi eligendi reprehenderit atque ab reiciendis voluptates praesentium ipsam. Voluptatibus voluptas officiis quidem repellat corporis nemo recusandae eveniet doloremque.</p>

    <div class="mt-4 ">
       <a href="#" class="inline-block px-5 py-3 mb-20 bg-red-600 text-white rounded-lg shadow-lg font-semibold tracking-wider uppercase hover:bg-green-500 active:bg-green-800 focus:bg-green-600 ">Subscribe Chanel yutube</a>
    </div>
</div>
<div class="hidden lg:block">
    <img src="./assets/img/healing.jpg" alt="healing" class="mt-4 rounded-l-3xl" />
</div>
</div>

<h2 class="mt-24 mb-10 font-bold text-slate-700 text-3xl text-center">My Galery</h2>
<div class="container mx-auto px-6 sm:flex sm:flex-wrap sm:justify-center">
    
    <div class="rounded-md shadow-lg overflow-hidden mb-10 sm:w-64 sm:mr-4">
        <img src="https://source.unsplash.com/600x400" alt="captionImage" class="w-full" />
        <div class="px-6 py-4">
            <div class="font-bold mb-2 text-xl font-inter">Image Title</div>
            <p class="text-sm text-slate-600">Lorem ipsum dolor sit amet consectetur adipisicing elit. At similique tempore eos voluptatem illum facilis quibusdam nobis, nemo natus quidem.</p>
    </div>
    </div>

    <div class="rounded-md shadow-lg overflow-hidden mb-10 sm:w-64 sm:mr-4">
        <img src="https://source.unsplash.com/600x400" alt="captionImage" class="w-full" />
        <div class="px-6 py-4">
            <div class="font-bold mb-2 text-xl font-inter">Image Title</div>
            <p class="text-sm text-slate-600">Lorem ipsum dolor sit amet consectetur adipisicing elit. At similique tempore eos voluptatem illum facilis quibusdam nobis, nemo natus quidem.</p>
    </div>
    </div>

    <div class="rounded-md shadow-lg overflow-hidden mb-10 sm:w-64 sm:mr-4">
        <img src="https://source.unsplash.com/600x400" alt="captionImage" class="w-full" />
        <div class="px-6 py-4">
            <div class="font-bold mb-2 text-xl font-inter">Image Title</div>
            <p class="text-sm text-slate-600">Lorem ipsum dolor sit amet consectetur adipisicing elit. At similique tempore eos voluptatem illum facilis quibusdam nobis, nemo natus quidem.</p>
    </div>
    </div>

    


    




</div>





<div class="mb-96">

</div>

<script>
    const checkbox=document.querySelector("#togle");
    const html=document.querySelector("html");
    checkbox.addEventListener("click", function(){
        checkbox.checked ? html.classList.add("dark"):html.classList.remove("dark");
    })
</script>
    
</body>
</html>